### Constructor

# Gtk SelectionFilterModelnew

#### Declaration [src]

    GtkSelectionFilterModel*
    gtk_selection_filter_model_new (
      GtkSelectionModel* model
    )

#### Description [src]

Creates a new `GtkSelectionFilterModel` that will include the selected items from the underlying selection model.

#### Parameters

`model`

  Type: `GtkSelectionModel`

  The selection model to filter.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `GtkSelectionFilterModel`

A new `GtkSelectionFilterModel`

The caller of the function takes ownership of the data, and is responsible for freeing it.